|  | Home | Documentation | _a__address_book Class Reference updated Fri Jan 12 2018 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
_a__address_book Class Reference

The root element of the address book schema. More...

`#include <address.h>`

## Public Member Functions
virtual int | soap_type (void) const
| Return unique type id SOAP_TYPE__a__address_book. More...
virtual void | soap_default (struct soap *)
| (Re)set members to default values More...
virtual void | soap_serialize (struct soap *) const
| Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures. More...
virtual int | soap_put (struct soap *, const char *tag, const char *type) const
| Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK. More...
virtual int | soap_out (struct soap *, const char *tag, int id, const char *type) const
| Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK. More...
virtual void * | soap_get (struct soap *, const char *tag, const char *type)
| Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error. More...
virtual void * | soap_in (struct soap *, const char *tag, const char *type)
| Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error. More...
virtual _a__address_book * | soap_alloc (void) const
| Return a new object of type _a__address_book, default initialized and not managed by a soap context. More...
| _a__address_book ()
| Constructor with initializations. More...
virtual | ~_a__address_book ()

## Public Attributes
std::vector< a__address * > | address
| Vector of a__address* with length 0..unbounded. More...
struct soap * | soap
| A handle to the soap struct that manages this instance (automatically set) More...

## Friends
SOAP_FMAC1 _a__address_book *SOAP_FMAC2 | address_instantiate__a__address_book (struct soap *, int, const char *, const char *, size_t *)
| Friend allocator used by soap_new__a__address_book(struct soap*, int) More...

## Detailed Description

The root element of the address book schema.

Top-level root element "urn:address-book-example":address-book"urn:address-book-example":address-book is a complexType.

Definition at line 206 of file address.h.

## Constructor & Destructor Documentation

_a__address_book::_a__address_book | ( |  | ) |
| inline

Constructor with initializations.

Definition at line 156 of file addressStub.h.

virtual _a__address_book::~_a__address_book | ( |  | ) |
| inline virtual

Definition at line 160 of file addressStub.h.

## Member Function Documentation

virtual _a__address_book* _a__address_book::soap_alloc | ( | void |  | ) | const
| inline virtual

Return a new object of type _a__address_book, default initialized and not managed by a soap context.

Definition at line 153 of file addressStub.h.

virtual void _a__address_book::soap_default | ( | struct soap * |  | ) |
| virtual

(Re)set members to default values

virtual void* _a__address_book::soap_get | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  |
| virtual

Get object from XML, compliant with SOAP 1.1 encoding style, return pointer to object or NULL on error.

virtual void* _a__address_book::soap_in | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  |
| virtual

Get object from XML, with matching tag and type (NULL matches any tag and type), return pointer to object or NULL on error.

virtual int _a__address_book::soap_out | ( | struct soap * | ,
|  | const char * | tag,
|  | int | id,
|  | const char * | type
| ) |  | const
| virtual

Output object in XML, with tag and optional id attribute and xsi:type, return error code or SOAP_OK.

virtual int _a__address_book::soap_put | ( | struct soap * | ,
|  | const char * | tag,
|  | const char * | type
| ) |  | const
| virtual

Output object in XML, compliant with SOAP 1.1 encoding style, return error code or SOAP_OK.

virtual void _a__address_book::soap_serialize | ( | struct soap * |  | ) | const
| virtual

Serialize object to prepare for SOAP 1.1/1.2 encoded output (or with SOAP_XML_GRAPH) by analyzing its (cyclic) structures.

virtual int _a__address_book::soap_type | ( | void |  | ) | const
| inline virtual

Return unique type id SOAP_TYPE__a__address_book.

Definition at line 139 of file addressStub.h.

## Friends And Related Function Documentation

SOAP_FMAC1 _a__address_book* SOAP_FMAC2 address_instantiate__a__address_book | ( | struct soap * | ,
|  | int | ,
|  | const char * | ,
|  | const char * | ,
|  | size_t * |
| ) |  |
| friend

Friend allocator used by soap_new__a__address_book(struct soap*, int)

## Member Data Documentation

std::vector< a__address * > _a__address_book::address

Vector of a__address* with length 0..unbounded.

Optional element 'address' of XSD type 'a:address'.

Definition at line 209 of file address.h.

struct soap * _a__address_book::soap

A handle to the soap struct that manages this instance (automatically set)

Context that manages this object.

Definition at line 211 of file address.h.

The documentation for this class was generated from the following files:

- address.h
- addressStub.h